package gmt.stddecoder.vo;

import java.time.format.DateTimeFormatter;

public class SHStaticVO extends HeaderVO{
	String shipNo;
	String shipName;
	String callSign;
	int gubun;
	String commBSID;
	Double length;
	Double width;
	Double ton;
	String mmsi;
	String shipType;
	
	public SHStaticVO() {
		shipNo = "";
		shipName = "";
		callSign = "";
		gubun = 0;
		commBSID = "";
		length = 0.0;
		width = 0.0;
		ton = 0.0;
		mmsi = "";
		shipType = "";
	}

	public String getShipNo() {
		return shipNo;
	}

	public void setShipNo(String shipNo) {
		this.shipNo = shipNo;
	}

	public String getShipName() {
		return shipName;
	}

	public void setShipName(String shipName) {
		this.shipName = shipName;
	}

	public String getCallSign() {
		return callSign;
	}

	public void setCallSign(String callSign) {
		this.callSign = callSign;
	}

	public int getGubun() {
		return gubun;
	}

	public void setGubun(int gubun) {
		this.gubun = gubun;
	}

	public String getCommBSID() {
		return commBSID;
	}

	public void setCommBSID(String commBSID) {
		this.commBSID = commBSID;
	}

	public Double getLength() {
		return length;
	}

	public void setLength(Double length) {
		this.length = length;
	}

	public Double getWidth() {
		return width;
	}

	public void setWidth(Double width) {
		this.width = width;
	}

	public Double getTon() {
		return ton;
	}

	public void setTon(Double ton) {
		this.ton = ton;
	}

	public String getMmsi() {
		return mmsi;
	}

	public void setMmsi(String mmsi) {
		this.mmsi = mmsi;
	}

	public String getShipType() {
		return shipType;
	}

	public void setShipType(String shipType) {
		this.shipType = shipType;
	}
	
	public String getString() {
		return "TargetSensor : "+ this.targetSensor +"\n"+
				"packetID    : "+ this.packetID +"\n"+
				"ShipID      : "+ this.shipID +"\n"+
				"DateTime    : "+ this.dateTime.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss.SSS")) +"\n"+
				"AreaID 	 : "+ this.areaID +"\n"+
				"MsgType 	 : "+ this.msgType +"\n"+
				"DataLength  : "+ this.dataLength +"\n"+
				"shipNo      : "+ this.shipNo + "\n" +
				"shipName    : "+ this.shipName + "\n" +
				"callSign 	 : "+ this.callSign + "\n" + 
				"gubun       : "+ String.valueOf(this.gubun) + "\n" + 
				"commBSID    : "+ this.commBSID + "\n" + 
				"length      : "+ String.valueOf(this.length) + "\n" +
				"width       : "+ String.valueOf(this.width) + "\n" +
				"ton         : "+ String.valueOf(this.ton) + "\n" + 
				"mmsi        : "+ this.mmsi + "\n" +
				"shipType    : "+ this.shipType;
	}
}
